Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class EventHandler

    public interface class EventHandler

Processes event occurrences and timer expirations.

Implementations are server plug-ins that perform custom processing of registered events or periodic processing at specified time intervals.

Method Summary
`void` | `handleDispose(EventHandlerContext context)` Called when the EventHandler instance will no longer be used.
`void` | `handleEventPosted(EventHandlerContext context)` Called when at least one registered event is posted.
`void` | `handleInitialize(EventHandlerContext context)` Initializes this EventHandler.
`void` | `handleTimerExpired(EventHandlerContext context)` Called when the timer for this EventHandler expires.

Method Detail

### handleInitialize

    void handleInitialize(EventHandlerContext context)
                          throws java.lang.Exception

  Description copied from interface: `EventHandler`
  Initializes this EventHandler.

  Called immediately after construction and before any of the other methods in the interface are invoked.

  Parameters:
    `context` - the EventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleEventPosted

    void handleEventPosted(EventHandlerContext context)
                           throws java.lang.Exception

  Description copied from interface: `EventHandler`
  Called when at least one registered event is posted.

  Parameters:
    `context` - the EventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    void handleTimerExpired(EventHandlerContext context)
                            throws java.lang.Exception

  Description copied from interface: `EventHandler`
  Called when the timer for this EventHandler expires.

  Parameters:
    `context` - the EventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleDispose

    void handleDispose(EventHandlerContext context)
                       throws java.lang.Exception

  Description copied from interface: `EventHandler`
  Called when the EventHandler instance will no longer be used.

  The instance should release any resources it is holding that would not be automatically released as part of normal garbage collection of the object.

  Parameters:
    `context` - the EventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD